Loading...
Searching...
No Matches
pcl::_PointXYZHSV Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_PointXYZHSV:

## Public Attributes

union { |
struct { |
float h |
float s |
float v |
} |  |
float data_c [4] |
}; |  |

## Detailed Description

Definition at line 673 of file point_types.hpp.

## Member Data Documentation

## [union]

PCL_ADD_POINT4D union { ... } pcl::_PointXYZHSV

## data_c

float pcl::_PointXYZHSV::data_c[4]

Definition at line 684 of file point_types.hpp.

## h

float pcl::_PointXYZHSV::h

Definition at line 680 of file point_types.hpp.

Referenced by pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), pcl::seededHueSegmentation(), and pcl::seededHueSegmentation().

## s

float pcl::_PointXYZHSV::s

Definition at line 681 of file point_types.hpp.

Referenced by pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::set().

## v

float pcl::_PointXYZHSV::v

Definition at line 682 of file point_types.hpp.

Referenced by pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::add(), pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::demean(), pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::get(), pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::operator()(), pcl::PointXYZHSVtoXYZRGB(), pcl::PointXYZRGBAtoXYZHSV(), pcl::PointXYZRGBtoXYZHSV(), and pcl::common::IntensityFieldAccessor< pcl::PointXYZHSV >::set().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp